using System;
using Keyoti.SearchEngine.Index;
using Keyoti.SearchEngine.Documents;
using Keyoti.SearchEngine.DataAccess;

namespace NewReader
{	

	/// <summary>
	/// Subclass of DocumentIndex, used to specify our customer reader class.
	/// </summary>
	public class CustomDocumentIndex:DocumentIndex
	{
		public CustomDocumentIndex(){}

		protected override Document CreateNewDocument(DocumentRecord documentRecord)
		{
			Document document = new Document(documentRecord);
			document.Reader = new CustomReader();

			return document;
		}
	}
}